This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 39232 - Editing 'Account Name' in rp3-config does not update /etc/ppp/peers
Editing 'Account Name' in rp3-config does not update /etc/ppp/peers
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-05 16:50 EDT by Sam Varshavchik
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:24:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2001-05-05 16:50:39 EDT
If an existing PPP connection is edited in rp3-config, and its account name
is changed, /etc/ppp/peers is not updated, and wvdial does not know how to
dial it, any more.

Example:

My PPP connection is called 'bestweb-tuxedo'.  It was originally set up in
rp3-config with all the default options. I have:

/etc/ppp/peers/ppp0:

connect "/usr/bin/wvdial --remotename ppp0 --chat bestweb-tuxedo"

I run rp3-config, highlight this connection, choose 'Edit', change account
name to something else, say 'bestweb-351'.

After I save it, I can no longer dial this connection.  I tracked it down
to /etc/ppp/peers/ppp0, which still calls wvdial to dial bestweb-tuxedo
(instead of bestweb-351, the new name of this connection).

rp3 1.1.10
Comment 1 galt barber 2001-07-08 18:05:05 EDT
I had the same problem. I have just installed RH7.1 from CD onto 
a Dell Latitude CPi 300mhz Laptop w 4MB SCSI drive.  
Things went well until got to dialing.  I had trouble withe the first 
account I set up "Janet's Netcom".  So, I renamed it to "Netcom".
No good.  I scoured the web for clues and found out about a bug where 
if you are not root (and I wasn't) when you use RP3, things don't work right,
so I tried to delete the interfaces and modems and so on and then 
logged in as root, recreated "Netcom" ppp ttys1 and it still didn't work.
I noticed that if I hit the Debug button, it would dial just fine.
Minicom let me access the modem.  I was going crazy, finally, I found 
your message about the /etc/ppp/peers/ppp0 script not getting updated.
I used vi to change it to the name "Netcom" from the old value 
"Janet\'s Netcom" and then I was able to dial just fine. 
Thank you so much for posting this.  Both of these problems need to be 
addressed right away.  (User-rights and Failure to update peers)

Thanks, mrsam!

Is that Mr. Sam, or Mrs. Am ?  ;)



Comment 2 Bill Nottingham 2006-08-07 15:01:43 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 12:24:53 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.